pkcs11-data(1)

NAME
pkcs11-data - Data object PKCS#11 enabled token manipulator

SYNOPSIS
pkcs11-data [--verbose] [--add-provider] [--public] [--token-wait] [--cmd]

DESCRIPTION
pkcs11-data pkcs11-data provides a simple interface to manipulate data on cryptographic providers by using RSA Security Inc. PKCS#11 Cryptographic Token Interface (Cryptoki). The following options are available:

--verbose
    Enable logging.

--add-provider
    Add PKCS#11 provider, this option can be specified more than once.

--public
    Data object in on public section.

--token-wait
    Wait for token until it inserted.

--cmd
    Command to execute:
    tokens
        List available token ids.
    list
        [--token] List available data objects.
    export
        [[--token]] [--application] [--label] [[--file]] [[--application --label --file]] Export data object content from specific token to a file or to standard output. Several objects can be exported at one execution.
    import
        [--token] [--application] [--label] [[--file]] Import data object content to a specific token from a file or from standard input.
    remove
        [--token] [--application] [--label] Remove data object.

AUTHORS AND COPYRIGHT
Copyright (c) 2006 Alon Bar-Lev <alon.barlev@gmail.com>

All rights reserved.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.